.section-content {
  margin: 0 auto;
  max-width: map-get($widths, 'max-width');
  padding: map-get($spacing, 'mobile-half');
  position: relative;
  width: 100%;
  z-index: 1;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'desktop') map-get($spacing, 'desktop-half');
  }
}

.section-full-width {
  padding-left: 0;
  padding-right: 0;
}

.section-full-height {
  padding-bottom: 0;
  padding-top: 0;
}

.section-row {
  padding-top: 0;
}

.section-vertical-center {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.section-space-between {
  justify-content: space-between;
}

.section-col-two {
  position: relative;
  z-index: 2;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    @include grid(2, $items: 2);
  }

  .section-col {
    &:first-of-type {
      margin-bottom: map-get($spacing, 'mobile');

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        margin-bottom: 0;
      }
    }
  }
}

.section-col-six {
  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    @include grid(6, $items: 3, $gutter: 5rem);
  }
}

.section-col-six-alt {
  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    @include grid(6, $items: 3, $gutter: 5rem);
  }
}

.section-col-middle-four {
  grid-column: 2 / 7;

  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
    margin-left: - map-get($spacing, 'mobile-half');
    margin-right: - map-get($spacing, 'mobile-half');
  }
  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    grid-column: 2 / 6;
  }
}

.section-col {
  width: 100%;

  img {
    height: auto;
    max-width: 100%;
  }
}

.section-col-center {
  text-align: center;
}

.section-modal {
  margin-bottom: map-get($heights, 'header');
  margin-left: - map-get($spacing, 'mobile-half');
  margin-right: - map-get($spacing, 'mobile-half');

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    margin-left: 0;
    margin-right: 0;
  }
  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    margin-top: - map-get($heights, 'header');
  }
}
